Text.Blaze

# Important types.

type Html

data Tag

data Attribute

data AttributeValue

# Creating attributes.

dataAttribute

customAttribute

# Converting values to HTML.

class ToHtml a

text

preEscapedText

lazyText

preEscapedLazyText

string

preEscapedString

unsafeByteString

unsafeLazyByteString

# Creating tags.

textTag

stringTag

# Converting values to attribute values.

class ToValue a

textValue

preEscapedTextValue

lazyTextValue

preEscapedLazyTextValue

stringValue

preEscapedStringValue

unsafeByteStringValue

unsafeLazyByteStringValue

# Setting attributes

(!)